InputSequenceAttributes (Jemboss API)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.emboss.jemboss.gui.sequenceChooser
Class InputSequenceAttributes

    java.lang.Object
      |
      +--org.emboss.jemboss.gui.sequenceChooser.InputSequenceAttributes

public class InputSequenceAttributes
extends java.lang.Object

Creates the input sequence attibutes window

Author:
  T. J. Carver

Field Summary
`private javax.swing.JComboBox` | `dbs`
`private java.lang.String[]` | `ff`
`private javax.swing.JComboBox` | `fileFormats`
`private boolean` | `fvis`
`private javax.swing.JRadioButton` | `lower`
`private javax.swing.JRadioButton` | `nucleotide`
`private javax.swing.JRadioButton` | `protein`
`private javax.swing.JRadioButton` | `rev`
`private javax.swing.JScrollPane` | `rscroll`
`private TextFieldInt` | `sbeg`
`private javax.swing.JTextField` | `sdbName`
`private TextFieldInt` | `send`
`private javax.swing.JTextField` | `sID`
`private TextFieldSink` | `sopenFile`
`private javax.swing.JTextField` | `UFO`
`private javax.swing.JRadioButton` | `upper`

Constructor Summary
`InputSequenceAttributes(java.lang.String[] db, FileChooser fc)`

Method Summary
`java.lang.String` | `getBegSeq()`
`java.lang.String` | `getEndSeq()`
`java.lang.String` | `getFormatChoosen()`
`java.lang.String` | `getInputSeqAttr(int seq)`
`javax.swing.JScrollPane` | `getJScrollPane()`
`boolean` | `isBeginSeqDefault()`
`boolean` | `isDBNameDefault()`
`boolean` | `isEndSeqDefault()`
`boolean` | `isOpenFileDefault()`
`boolean` | `isSIDDefault()`
`boolean` | `isUFODefault()`
`void` | `setBegSeq(int iseq)`
`void` | `setBegSeq(java.lang.String s)`
`void` | `setEndSeq(int iseq)`
`void` | `setEndSeq(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sbeg

    private TextFieldInt sbeg

### send

    private TextFieldInt send

### sopenFile

    private TextFieldSink sopenFile

### sdbName

    private javax.swing.JTextField sdbName

### sID

    private javax.swing.JTextField sID

### UFO

    private javax.swing.JTextField UFO

### dbs

    private javax.swing.JComboBox dbs

### fileFormats

    private javax.swing.JComboBox fileFormats

### rev

    private javax.swing.JRadioButton rev

### nucleotide

    private javax.swing.JRadioButton nucleotide

### protein

    private javax.swing.JRadioButton protein

### lower

    private javax.swing.JRadioButton lower

### upper

    private javax.swing.JRadioButton upper

### rscroll

    private javax.swing.JScrollPane rscroll

### fvis

    private boolean fvis

### ff

    private java.lang.String[] ff

Constructor Detail

### InputSequenceAttributes

    public InputSequenceAttributes(java.lang.String[] db,
                                   FileChooser fc)

Method Detail

### getJScrollPane

    public javax.swing.JScrollPane getJScrollPane()

### setBegSeq

    public void setBegSeq(int iseq)

### setEndSeq

    public void setEndSeq(int iseq)

### setBegSeq

    public void setBegSeq(java.lang.String s)

### setEndSeq

    public void setEndSeq(java.lang.String s)

### getBegSeq

    public java.lang.String getBegSeq()

### getEndSeq

    public java.lang.String getEndSeq()

### isBeginSeqDefault

    public boolean isBeginSeqDefault()

### isEndSeqDefault

    public boolean isEndSeqDefault()

### isOpenFileDefault

    public boolean isOpenFileDefault()

### isDBNameDefault

    public boolean isDBNameDefault()

### isSIDDefault

    public boolean isSIDDefault()

### isUFODefault

    public boolean isUFODefault()

### getFormatChoosen

    public java.lang.String getFormatChoosen()

### getInputSeqAttr

    public java.lang.String getInputSeqAttr(int seq)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD